export interface TeamInfo{
    id: number
    name: string
    picture: string
    mainColor: Color
    secondColor: Color
}

export interface Color{
    hex: string
}

export interface Team {
    info: TeamInfo
    members: Member[]
}

export interface Member{
    user: User
    role: string
}

export interface User{
    id: number
    name: string
    email: string
    profilePicture: string
}